<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>File List</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">File List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all documented files with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html" target="_self">drivers</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span id="img_0_0_" class="iconfopen" onclick="toggleFolder('0_0_')">&#160;</span><a class="el" href="dir_662763201df975e54664a452d4fba6a4.html" target="_self">crypto</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_0_" class="arrow" onclick="toggleFolder('0_0_0_')">&#9660;</span><span id="img_0_0_0_" class="iconfopen" onclick="toggleFolder('0_0_0_')">&#160;</span><a class="el" href="dir_db45dad892e8d38328d9ed74bc37c47a.html" target="_self">include</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="aes_8h.html" target="_self">aes.h</a></td><td class="desc">This is the AES module header file for the register level AES driver. It defines various encryption modes supported by the AES module </td></tr>
<tr id="row_0_0_0_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="crypto__internal_8h.html" target="_self">crypto_internal.h</a></td><td class="desc">This is the internal Header for the Crypto Driver. This header file should <em>NOT</em> be directly included by applications </td></tr>
<tr id="row_0_0_0_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="hmac_8h.html" target="_self">hmac.h</a></td><td class="desc">This is the HMAC module header file for the register level HMAC driver </td></tr>
<tr id="row_0_0_0_3_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="reg__aes_8h.html" target="_self">reg_aes.h</a></td><td class="desc">This file gives register definitions of MSS_AES module </td></tr>
<tr id="row_0_0_0_4_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="reg__dthe_8h.html" target="_self">reg_dthe.h</a></td><td class="desc">This file gives register definitions of MSS_DTHE module </td></tr>
<tr id="row_0_0_0_5_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="reg__pka_8h.html" target="_self">reg_pka.h</a></td><td class="desc">This file gives register definitions of MSS_PKA module </td></tr>
<tr id="row_0_0_0_6_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="reg__sha_8h.html" target="_self">reg_sha.h</a></td><td class="desc">This file gives register definitions of MSS_SHA module </td></tr>
<tr id="row_0_0_0_7_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="reg__trng_8h.html" target="_self">reg_trng.h</a></td><td class="desc">This file gives register definitions of MSS_TRNG module </td></tr>
<tr id="row_0_0_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_1_" class="arrow" onclick="toggleFolder('0_0_1_')">&#9660;</span><span id="img_0_0_1_" class="iconfopen" onclick="toggleFolder('0_0_1_')">&#160;</span><a class="el" href="dir_44938629b2369795d1c2a6b93015526a.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="aes_8c.html" target="_self">aes.c</a></td><td class="desc">The file implements the register level AES functions. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid </td></tr>
<tr id="row_0_0_1_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="aes__crypto_8c.html" target="_self">aes_crypto.c</a></td><td class="desc">The file implements the AES crypto functions that process the given data and generate the output based on the crypto module configuration. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid </td></tr>
<tr id="row_0_0_1_2_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_crypto_8c.html" target="_self">Crypto.c</a></td><td class="desc">The file implements the Crypto Driver for the XWR16xx. The file implements the driver to conform to the MCPI standards </td></tr>
<tr id="row_0_0_1_3_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="hmac_8c.html" target="_self">hmac.c</a></td><td class="desc">The file implements the register level functions for HMAC/HASH module using SHA/MD5 algorithms. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid </td></tr>
<tr id="row_0_0_1_4_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="hmac__crypto_8c.html" target="_self">hmac_crypto.c</a></td><td class="desc">The file implements the HMAC/HASH module functions that process the given data and generate the output based on the module configuration. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid </td></tr>
<tr id="row_0_0_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="_crypto_8h.html" target="_self">Crypto.h</a></td><td class="desc">This is the header file for the Crypto driver which exposes the data structures and exported API which can be used by the applications to use the Crypto driver </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
